package edu.travel.remote.dto;

import lombok.Data;

import java.util.List;

/**
 * 类功能描述：
 *  新增评论
 * @author 大春
 * @date 2025/03/04
 */

@Data
public class AddReviewDto {
    /**
     * 订单号
     */
    private String orderId;

    /**
     *  评论内容
     */
    private String content;

    /**
     * 评论图片
     */
    private List<FileDto> image;

    /**
     * 商品ID
     */
    private String productId;

    /**
     * sku
     */
    private String skuId;

    /**
     * 评级1-5
     */
    private Integer rating;

    /**
     * 是否匿名 0 否 1是
     */
    private Integer isAnonymity;
}
