package edu.travel.remote.dto;

import lombok.Data;

/**
 * 类功能描述：
 *  订单日志
 * @author 大春
 * @date 2025/03/06
 */

@Data
public class AddOrderLogDto {
    /**
     * 订单号
     */
    private String orderId;

    /**
     * 描述
     */
    private String description;

    /**
     * 0待付款, 1已下单, 2待发货,3待收货,4待评价,5已完成,6已取消
     */
    private Integer status;
}
