package edu.travel.remote.feign.mode.vo.tenant;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
public class SysProjectVo extends BaseEntity {
    /**
     * 项目id
     */
    private String id;

    /**
     * 项目名中文
     */
    private String projectNameCn;

    /**
     * 项目名英文
     */
    private String projectNameEn;

    /**
     * 公钥
     */
    private String publicKey;

}