package edu.travel.remote.upload.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EduFileBlobDTO extends BaseEntity {
    private Long id;

    /**
     * 分片名字
     */
    private String blobName;

    /**
     * 传了第几片
     */
    private Integer blobNum;

    /**
     * 分片地址
     */
    private String blobPath;

    /**
     * 分片md5
     */
    private String blobMd5;

    /**
     * 文件md5
     */
    private String fileMd5;

    /**
     * 总共多少片
     */
    private Integer totalCount;

    private String uploadId;


}