package edu.travel.commodity.constant;


import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class BaseConstant {
    /**
     * 删除标记 正常
     */
    public static final Integer BASIC_STATUS_NO_NUM = 0;
    public static final String BASIC_STATUS_NO_STR = "0";

    /**
     * 删除标记 删除
     */
    public static final Integer BASIC_STATUS_YES_NUM = 1;
    public static final String BASIC_STATUS_YES_STR = "1";

    /**
     * 删除标记 正常
     */
    public static final Integer BASIC_IS_DEFAULT_YES = 0;
    public static final Integer BASIC_IS_DEFAULT_YES_NO = 1;

    /**
     * 返回数据 code
     */
    public static final Integer SUCCESS_CODE = 200;
    /**
     * 商品文件上传图片类型
     */
    private static final Set<String> PRODUCT_IMAGE_TYPES = new HashSet<>(
            Arrays.asList("jpg", "jpeg", "png")
    );
    /**
     * 意见文件类型
     */
    private static final Set<String> OPINION_FILE_TYPES = new HashSet<>(
            Arrays.asList("jpg", "jpeg", "png","mp4")
    );
    public static Set<String> getProductImageTypes() {
        return PRODUCT_IMAGE_TYPES;
    }
    /**
     * 获取banner 图片类型
     */
    public static Set<String> getBannerImageTypes() {
        return PRODUCT_IMAGE_TYPES;
    }
    public static Set<String> getOpinionFileTypes() {
        return OPINION_FILE_TYPES;
    }

    /**
     * 获取评论图片类型
     */
    public static Set<String> getReviewImageTypes() {
        return PRODUCT_IMAGE_TYPES;
    }
}

