package edu.travel.adapter.service.order;

import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.order.ShopOrderTypeChangeRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopOrderLogAdapter {
    @Autowired
    private ShopOrderTypeChangeRemoteController shopOrderTypeChangeRemoteController;

    public RPCBaseResponse<Void> addOrderLog(AddOrderLogDto params){
        return shopOrderTypeChangeRemoteController.addOrderLog(params);
    }
}
