package edu.travel.upload.obs;

import com.obs.services.ObsClient;
import edu.travel.upload.obs.property.ObsProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
@ConditionalOnClass(ObsClient.class)
public class HuaweiOBSClient {
    @Autowired
    private ObsProperties obsProperties;
    @Bean
    public ObsClient obsClient() {
      ObsClient  obsClient = new ObsClient(obsProperties.getAccessKey(), obsProperties.getSecretAccessKey(),obsProperties.getEndpoint());
      return obsClient;
    }
}
