package edu.travel.remote.dto;

import lombok.Data;

import java.util.List;

@Data
public class AddShopOrderDto {
    /**
     * 商品
     */
    private List<AddShopProductOrderDto> products;

    /**
     * 地址ID
     */
    private String addressId;

    /**
     * 备注
     */
    private String remark;
    /**
     * 国家
     */
    private String country;
    /**
     * 支付方式
     */
    private String payId;

    /**
     * 货币
     */
    private String currencyId;

    /**
     * 优惠券ID
     */
    private String globalCouponId;
}
