package edu.travel.vo;

import lombok.Data;

/**
 * BaseCountryNameAndCodeVo 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/3/10
 */

@Data
public class BaseCountryNameAndCodeVo {

    /**
     * 国家/洲中文名称
     */
    private String countryNameZh;

    /**
     * 国家/洲英文名称
     */
    private String countryNameEn;

    /**
     * 国家区号
     */
    private String areaCode;

    /**
     * 国家id
     */
    private String id;

}
