package edu.travel.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.entity.BaseEntity;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 货币表
 */
@Data
@TableName(value = "shop_currency")
public class ShopCurrencyStatusVo extends BaseEntity {
    /**
     * ID
     */
    private Long id;
    /**
     * 状态 -0启用  -1禁用
     * */
    private String status;
}