package edu.travel.remote.feign.mode.dto.tenant;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * AddMenuDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/11
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddMenuDto {

    /**
     * 菜单信息
     */
    private SysMenuPageDto sysMenu;

    /**
     * 菜单附加信息
     */
    private SysMenuExtraDataDto sysMenuExtraData;


}
