package edu.travel.commodity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import edu.travel.commodity.entity.ShopOpinionType;
import edu.travel.remote.vo.ShopOpinionTypeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ShopOpinionTypeMapper extends BaseMapper<ShopOpinionType> {

    // 查询带有语言信息的意见类型
    List<ShopOpinionType> selectOpinionTypeWithLanguage(
            @Param("typeName") String typeName,
            @Param("status") String status,
            @Param("pageSize") int pageSize,
            @Param("offset") int offset
    );

    // 统计符合条件的意见类型数量
    int countAll(
            @Param("typeName") String typeName,
            @Param("status") String status
    );
}
