package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopReview;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopReviewVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ShopReviewService extends IService<ShopReview>{


    Page<ShopReviewVo> getShopReview(ProductSpecDto params);

    String addReview(AddReviewDto params);

    RPCBaseResponse<FileWebVo> uploadReviewImage(MultipartFile file);

    RPCBaseResponse<String> uploadReviewImages(List<MultipartFile> files);
}
