package edu.travel.country.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.country.entity.ShopCurrency;
import edu.travel.dto.ShopCurrencyDto;
import edu.travel.dto.ShopCurrencyStatusDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopCurrencyStatusVo;
import edu.travel.vo.ShopCurrencyVo;

public interface ShopCurrencyService extends IService<ShopCurrency>{


    RPCBaseResponse<IPage<ShopCurrencyVo>> getCurrencyPage(ShopCurrencyDto dto);

    RPCBaseResponse<ShopCurrencyStatusVo> updateCurrencyStatus(ShopCurrencyStatusDto shopCurrencyStatusDto);
}
